summaryrefslogtreecommitdiff
path: root/kernlab.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-03-29 12:07:43 +0200
committerAndreas Maunz <andreas@maunz.de>2011-03-29 12:07:43 +0200
commite53c4f70598e403ba38c27a4637d540a10ee2075 (patch)
tree44883093c4e7121457ac5ec5d4b0152ae34527f6 /kernlab.sh
parent5b5f068e2096ef86491887e773e2cf2349bb6344 (diff)
Kernlab fix: Missing command
Diffstat (limited to 'kernlab.sh')
-rwxr-xr-xkernlab.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/kernlab.sh b/kernlab.sh
index d95b275..673c1f6 100755
--- a/kernlab.sh
+++ b/kernlab.sh
@@ -10,6 +10,12 @@ if [ "$(id -u)" = "0" ]; then
fi
# Utils
+WGET="`which wget`"
+if [ ! -e "$WGET" ]; then
+ echo "'wget' missing. Install 'wget' first. Aborting..."
+ exit 1
+fi
+
R="`which R`"
if [ ! -e "$R" ]; then
echo "'R' missing. Install 'R' first. Aborting..."